<?php
$location = $options_page; // Form Action URI
?>

<div class="wrap">
	<h2>تنظیمات گالری مطالب</h2>
	
        <form method="post" action="options.php"><?php wp_nonce_field('update-options'); ?>
		<fieldset name="general_options" class="options">
        <div style="padding-top: 15px"></div>
        <strong>کد نمایشگر افزونه:</strong>  کد زیر را در محلی که مایلید گالری نشان داده شود قرار دهید.<br />
        <blockquote>&lt;&#63;php include &#40;ABSPATH &#46; '/wp-content/plugins/featured-content-gallery/gallery.php'&#41;&#59; &#63;&#62;</blockquote>
        <div style="padding-top: 10px"></div>
        <?php  $galleryoldway = (get_option('gallery-way') == 'old' || get_option('gallery-way') == '') ? "checked" : ""; 
        		   $gallerynewway = get_option('gallery-way') == 'new' ? "checked" : ""; 
        ?>
        <strong>مطالب گالری:</strong> می‌توانید دسته یا شناسه نوشته یا برگه‌ای خاص را انتخاب کنید.<br />
        <div style="padding-top: 5px"></div>
        <table width="690" border="0" cellpadding="0" cellspacing="7">
        <tr>
    	<td width="330">
        <input type="radio" name="gallery-way" id="gallery-way" size="25" value="old"  <?php print $galleryoldway; ?>>
        			دسته
        </td>
  		<td width="360">
        <input type="radio" name="gallery-way" id="gallery-way" size="25" value="new"  <?php print $gallerynewway; ?>>
        			نوشته یا برگه
        </td>
		</tr>
  	    <tr>
    	<td>
        نام دسته:<br />
                    <input name="gallery-category" id="gallery-category" size="25" value="<?php echo get_option('gallery-category'); ?>"></input> 
        </td>
    	<td>
        شناسه نوشته یا برگه‌ها <span class="style1">(شناسه‌ها را با کاما از هم جدا کنید. )</span>:<br />
                    <input name="gallery-items-pages" id="gallery-items-pages" size="25" value="<?php echo get_option('gallery-items-pages'); ?>"></input>
        </td>
  	    </tr>
  	    <tr>
        <td>
        تعداد مطالب گالری:<br />
        			<input name="gallery-items" id="gallery-items" size="25" value="<?php echo get_option('gallery-items'); ?>"></input> 
        </td>
        <td>
        <?php $checked3 = get_option('gallery-randomize-pages') ? "checked" : ""; ?>
                    <input type="checkbox" name="gallery-randomize-pages" id="gallery-randomize-pages" <?php print $checked3 ?>> 
        نمایش اتقاقی نوشته و برگه‌ها
        </td>
  	    </tr>
		</table>
        <div style="padding-top: 10px"></div>
        <strong>اندازه‌ و رنگ‌های گالری:</strong> <br />
        <div style="padding-top: 10px"></div>
        <table width="690" border="0" cellpadding="0" cellspacing="7">
        <tr>
    	<td width="330">
        عرض گالری (پیکسل):<br />
        <input name="gallery-width" id="gallery-width" size="25" value="<?php echo get_option('gallery-width'); ?>"></input>
        </td>
  		<td width="360">
        حاشیه گالری ( نام یا کد رنگ):<br />
        <input name="gallery-border-color" id="gallery-border-color" size="25" value="<?php echo get_option('gallery-border-color'); ?>"></input> 
        </td>
		</tr>
  	    <tr>
    	<td>
        ارتفاع گالری (پیکسل):<br />
        <input name="gallery-height" id="gallery-height" size="25" value="<?php echo get_option('gallery-height'); ?>"></input>
        </td>
    	<td>
        پس‌زمینه گالری (نام یا کد رنگ):<br />
        <input name="gallery-bg-color" id="gallery-bg-color" size="25" value="<?php echo get_option('gallery-bg-color'); ?>"></input>   
        </td>
  	    </tr>
  	    <tr>
        <td>
        ارتفاع بخش متن اسلایدها (پیکسل):<br />
        <input name="gallery-info" id="gallery-info" size="25" value="<?php echo get_option('gallery-info'); ?>"></input> 
        </td>
        <td>
        رنگ متن اسلایدها (نام یا کد رنگ):<br />
        <input name="gallery-text-color" id="gallery-text-color" size="25" value="<?php echo get_option('gallery-text-color'); ?>"></input> 
        </td>
  	    </tr>
		</table>
        <div style="padding-top: 10px"></div>
        <strong>دیگر تنظیمات:</strong> 
        <div style="padding-top: 10px"></div>
        <table width="690" border="0" cellpadding="0" cellspacing="10">
        <tr>
    	<td width="330">
        مدت نمایش هر اسلاید (میلی‌ثانیه):<br />
        <input name="gallery-delay" id="gallery-delay" size="25" value="<?php echo get_option('gallery-delay'); ?>"></input><br />
        (پیش‌فرض: ۹۰۰۰ میلی‌ثانیه / ۹ ثانیه)
        </td>
  		<td width="360">
        دکمه بندانگشتی‌ها:<br />
        <input name="gallery-fcg-button" id="gallery-fcg-button" size="25" value="<?php echo get_option('gallery-fcg-button'); ?>"></input><br />
        (پیش‌فرض: ویژه‌ها)
        </td>
		</tr>
  	    <tr>
    	<td>
        مدت محوشدن هر اسلاید (میلی‌ثانیه):<br />
        <input name="gallery-fade-duration" id="gallery-fade-duration" size="25" value="<?php echo get_option('gallery-fade-duration'); ?>"></input><br />
        (پیش‌فرض: ۵۰۰ میلی‌ثانیه / نیم‌ثانیه)
        </td>
    	<td>
        تعداد کلمات بخش متن اسلایدها:<br />
        <input name="gallery-rss-word-quantity" id="gallery-rss-word-quantity" size="25" value="<?php echo get_option('gallery-rss-word-quantity'); ?>"></input><br />
        (پیش‌فرض: ۱۰۰ کلمه)
        </td>
  	    </tr>
		</table>
        <div style="padding-top: 10px"></div>
        <strong>نحوه عبور اسلایدها:</strong>
        <div style="padding-top: 10px"></div>
        <?php  $galleryfade = (get_option('gallery-default-transaction') == 'fade' || get_option('gallery-default-transaction') == '') ? "checked" : ""; 
        	   $galleryfadeslideleft = get_option('gallery-default-transaction') == 'fadeslideleft' ? "checked" : "";
        	   $gallerycontinuoushorizontal = get_option('gallery-default-transaction') == 'continuoushorizontal' ? "checked" : "";  
        	   $gallerycontinuousvertical = get_option('gallery-default-transaction') == 'continuousvertical' ? "checked" : ""; 
        ?>
        <table width="500" border="0" cellpadding="0" cellspacing="10">
        <tr>
    	<td width="250">
        <input type="radio" name="gallery-default-transaction" id="gallery-default-transaction" size="25" value="fade"  <?php print $galleryfade; ?>> ساده
        </td>
  		<td width="250">
		<input type="radio" name="gallery-default-transaction" id="gallery-default-transaction" size="25" value="fadeslideleft"  <?php print $galleryfadeslideleft; ?>> محو به سمت چپ
        </td>
		</tr>
  	    <tr>
    	<td>
		<input type="radio" name="gallery-default-transaction" id="gallery-default-transaction" size="25" value="continuoushorizontal"  <?php print $gallerycontinuoushorizontal; ?>> پشت‌ سر هم (افقی)
        </td>
    	<td>
		<input type="radio" name="gallery-default-transaction" id="gallery-default-transaction" size="25" value="continuousvertical"  <?php print $gallerycontinuousvertical; ?>> پشت سر هم (بالا به پایین)
        </td>
  	    </tr>
		</table>
        <div style="padding-top: 10px"></div>
        <strong>زمینه‌های دلخواه ضروری:</strong>
        <div style="padding-top: 5px"></div>
        به همه مطالبی که می‌خواهید در گالری نشان داده شوند باید زمینه‌ای دلخواه با کلید <strong> articleimg </strong> اضافه کنید و آدرس کامل تصویر را به عنوان مقدار قرار دهید. 
        <div style="padding-top: 10px"></div>
       <strong>زمینه‌های دلخواه پیشرفته:</strong>
        <div style="padding-top: 5px"></div>
		<?php $checked1 = get_option('gallery-use-featured-content') ? "checked" : ""; ?>
        <input type="checkbox" name="gallery-use-featured-content" id="gallery-use-featured-content" <?php print $checked1 ?>> 
         متن اختیاری زیر عنوان مطلب<br />
        کلید: <strong>featuredtext</strong>  متن دلخواه را به عنوان مقدار قرار دهید.
        <div style="padding-top: 10px"></div>
        <?php $checked2 = get_option('gallery-use-thumb-image') ? "checked" : ""; ?>
        <input type="checkbox" name="gallery-use-thumb-image" id="gallery-use-thumb-image" <?php print $checked2 ?>> 
        تصاویر بندانگشتی سفارشی:<br />
        کلید: <strong>thumbnailimg</strong>  آدرس کامل تصویر را به عنوان مقدار قرار دهید.
        <div style="padding-top: 5px"></div>
		شما می‌توانید عنوان دلخواهی نیز به تصاویر گالری خود اضافه کنید.<br />
        کلید: <strong>alttext</strong> متن مورد نظر را به عنوان مقدار قرار دهید.
        <div style="padding-top: 15px"></div>
        برای اطلاعات بیشتر به <a href="http://www.featuredcontentgallery.com">وب‌سایت افزونه</a> مراجعه کنید.
                        
        <input type="hidden" name="action" value="update" />
        <input type="hidden" name="page_options" value="gallery-width,gallery-height,gallery-info,gallery-items,gallery-border-color,gallery-bg-color,gallery-text-color,gallery-use-featured-content,gallery-use-thumb-image,gallery-way,gallery-items-pages,gallery-category,gallery-fcg-button,gallery-fade-duration,gallery-delay,gallery-randomize-pages,gallery-rss-word-quantity,gallery-default-transaction" />

		</fieldset>
		<p class="submit"><input type="submit" name="Submit" value="<?php _e('ذخیره تغییرات') ?>" /></p>
        <p><em>افزونه گالری مطالب بدست: <a href="http://www.ieplexus.com">iePlexus</a></em></p>
	</form>      
</div>
